package com.huangge1199.picture.common;

import com.huangge1199.picture.exception.ErrorCode;

import java.io.Serializable;

/**
 * R
 * 返回响应
 *
 * @author huangge1199
 * @since 2025/6/27 16:24:58
 */
public class R<T> implements Serializable {

    private int code;

    private T data;

    private String message;

    public R(int code, T data, String message) {
        this.code = code;
        this.data = data;
        this.message = message;
    }

    public R(int code, T data) {
        this(code, data, "");
    }

    public R(ErrorCode errorCode) {
        this(errorCode.getCode(), null, errorCode.getMessage());
    }
}
